| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions | Variables
GaudiConfig.ControlFlow Namespace Reference

## Classes
class | _TestAlgorithm
class | _TestVisitor
class | AndNode
class | ControlFlowBool
class | ControlFlowLeaf
class | ControlFlowNode
class | DotVisitor
class | ignore
class | InvertNode
class | line
class | OrderedNode
class | OrNode
class | par
class | seq

## Functions
def | test ()

## Variables
| CFTrue = ControlFlowBool(True)
| CFFalse = ControlFlowBool(False)

## Detailed Description

    Classes for the implementation of the Control Flow Structure Syntax.

    @see: https://github.com/lhcb/scheduling-event-model/tree/master/controlflow_syntax

## Function Documentation

def GaudiConfig.ControlFlow.test | ( |  | ) |

Definition at line 312 of file ControlFlow.py.

312 def test():
313 Algorithm = _TestAlgorithm
314
315 a = Algorithm("a")
316 b = Algorithm("b")
317 c = Algorithm("c")
318 d = Algorithm("d")
319 e = Algorithm("e")
320 f = Algorithm("f")
321 g = Algorithm("g")
322 sequence = seq(b >> a >> f)
323 expression = sequence | ~c & par(d & e & g)
324 a = (expression == expression)
325 aLine = line("MyTriggerPath", expression)
326 visitor = _TestVisitor()
327 visitor2 = DotVisitor()
328 print "\nPrinting trigger line:"
329 print aLine
330 print "\nPrinting expression:"
331 print expression
332 print "\nTraversing through expression:\n"
333 expression.visitNode(visitor)
334 expression.visitNode(visitor2)
335 visitor2.write("out.dot")
336
GaudiConfig.ControlFlow.DotVisitor
Definition: ControlFlow.py:228
GaudiConfig.ControlFlow._TestVisitor
Definition: ControlFlow.py:202
GaudiConfig.ControlFlow.par
Definition: ControlFlow.py:168
GaudiConfig.ControlFlow.seq
Definition: ControlFlow.py:179
GaudiConfig.ControlFlow.line
Definition: ControlFlow.py:190
Algorithm
Base class from which all concrete algorithm classes should be derived.
Definition: Algorithm.h:79
GaudiConfig.ControlFlow.test
def test()
Definition: ControlFlow.py:312

## Variable Documentation

GaudiConfig.ControlFlow.CFFalse = ControlFlowBool(False)

Definition at line 83 of file ControlFlow.py.

GaudiConfig.ControlFlow.CFTrue = ControlFlowBool(True)

Definition at line 82 of file ControlFlow.py.